Package com.sas.services.information.metadata

# Interface GridServerInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

public interface GridServerInterface extends MetadataInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteUserMapping(String appName, String gaoName, List<String> identityName)`
  `List<OMRGridApplication>`
  `getExistingGOSListForApp(ServerInterface authServer, String applicationName)`
  `List<OMRGridApplication>`
  `getExistingGridOptionsSetList(ServerInterface authServer)`
  `List<OMRGridApplication>`
  `getExistingGridOptionsSetList(ServerInterface authServer, ApplicationInterface sc)`
  `String`
  `getGridCommand()`
  `String`
  `getGridModuleName()`
  `List<String>`
  `getGridOptions()`
  `GridApplicationInterface`
  `getGridOptionsSet(String gridAppId, String gridAppName, ServerInterface authServer)`
  `String`
  `getGridRequiredProperty(String applicationName)`
  `List<String>`
  `getGridWorkLoad()`
  `com.sas.metadata.remote.PropertySet`
  `getPropertySet(String applicationName)`
  `List<com.sas.metadata.remote.PropertySet>`
  `getPropertySetNames()`
  `String`
  `getProvider()`
  `String`
  `getRequiredResource()`
  `List<String>`
  `getRequiredResources()`
  `List<String>`
  `getSASOptions()`
  `com.sas.metadata.remote.AssociationList`
  `getServerProperties()`
  `List<GaoIdentity>`
  `getUserGaos(String appName)`
  `List<String>`
  `getUserMappings(String propertySetName)`
  `List<String>`
  `getUserMappings(String propertySetName, String gaoName)`
  `void`
  `removePropertySetFromServer(com.sas.metadata.remote.PropertySet ps)`
  `void`
  `setGridCommand(String gridCommand)`
  `void`
  `setGridModuleName(String moduleName)`
  `void`
  `setGridOptions(List<String> gridOptions)`
  `void`
  `setGridRequiredProperty(String applicationName, String gridRequired)`
  `void`
  `setGridWorkLoad(List<String> workload)`
  `void`
  `setPropertySetName(String applicationName)`
  `void`
  `setProvider(String provider)`
  `void`
  `setPublicType(String publicType)`
  `void`
  `setRequiredResource(String value)`
  `void`
  `setRequiredResources(List<String> requiredResources)`
  `void`
  `setSASOptions(List<String> sasOptions)`
  `void`
  `setUsageVersion(double versionNumber)`
  `void`
  `setUserMappings(String propertySetName, List<String> identityList, GridApplicationInterface gao)`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getPropertySetNames

    List<com.sas.metadata.remote.PropertySet> getPropertySetNames() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getPropertySet

    com.sas.metadata.remote.PropertySet getPropertySet(String applicationName) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setPropertySetName

    void setPropertySetName(String applicationName) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGridRequiredProperty

    String getGridRequiredProperty(String applicationName) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setGridRequiredProperty

    void setGridRequiredProperty(String applicationName, String gridRequired) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getUserMappings

    List<String> getUserMappings(String propertySetName) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setUserMappings

    void setUserMappings(String propertySetName, List<String> identityList, GridApplicationInterface gao) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGridCommand

    String getGridCommand() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setGridCommand

    void setGridCommand(String gridCommand) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getProvider

    String getProvider() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setProvider

    void setProvider(String provider) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getRequiredResources

    List<String> getRequiredResources() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setRequiredResources

    void setRequiredResources(List<String> requiredResources) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGridOptions

    List<String> getGridOptions() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setGridOptions

    void setGridOptions(List<String> gridOptions) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getSASOptions

    List<String> getSASOptions() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setSASOptions

    void setSASOptions(List<String> sasOptions) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getServerProperties

    com.sas.metadata.remote.AssociationList getServerProperties() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setUsageVersion

    void setUsageVersion(double versionNumber) throws RemoteException
    Throws:
      `RemoteException`

  - ### setPublicType

    void setPublicType(String publicType) throws RemoteException
    Throws:
      `RemoteException`

  - ### getUserGaos

    List<GaoIdentity> getUserGaos(String appName) throws ServiceException, com.sas.metadata.remote.MdException, RemoteException
    Throws:
      `ServiceException`
      `com.sas.metadata.remote.MdException`
      `RemoteException`

  - ### deleteUserMapping

    void deleteUserMapping(String appName, String gaoName, List<String> identityName) throws RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setGridWorkLoad

    void setGridWorkLoad(List<String> workload) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGridWorkLoad

    List<String> getGridWorkLoad() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### setGridModuleName

    void setGridModuleName(String moduleName) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGridModuleName

    String getGridModuleName() throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getRequiredResource

    String getRequiredResource() throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setRequiredResource

    void setRequiredResource(String value) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getExistingGridOptionsSetList

    List<OMRGridApplication> getExistingGridOptionsSetList(ServerInterface authServer) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGridOptionsSet

    GridApplicationInterface getGridOptionsSet(String gridAppId, String gridAppName, ServerInterface authServer) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getExistingGridOptionsSetList

    List<OMRGridApplication> getExistingGridOptionsSetList(ServerInterface authServer, ApplicationInterface sc) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getUserMappings

    List<String> getUserMappings(String propertySetName, String gaoName) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### removePropertySetFromServer

    void removePropertySetFromServer(com.sas.metadata.remote.PropertySet ps) throws RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getExistingGOSListForApp

    List<OMRGridApplication> getExistingGOSListForApp(ServerInterface authServer, String applicationName) throws ServiceException, RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `ServiceException`
      `RemoteException`
      `com.sas.metadata.remote.MdException`